/* eslint-disable no-unused-expressions */
/* eslint-disable no-console */

const { expect } = require('chai');
const path = require('path');
const index = require('../index');

describe('METRICS-GENERATOR - geneate metrics from raw data', () => {
  const pathFileA = path.join(__dirname, './test-source/basic-a.js');
  const pathFileB = path.join(__dirname, './test-source/basic-b.js');

  // it('should return an error since the parameter is not an arrray', (done) => {
  // parser(pathFileA)
  // .then(() => expect(null).to.exist)
  // .catch((err) => {
  // expect(err.message).to.equal('Expect an array of paths');
  // done();
  // });
  // });

  it('should use raw data from 2 files and return the corresponding metrics', (done) => {
    index
      .generateRawData([pathFileA, pathFileB])
      .then(res => index.generateMetrics(res))
      .then((res) => {
        expect(res.functions.numFunctions).to.equal(2);
        done();
      })
      .catch(err => console.error(err));
  });
});
